Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# WalkingEngineInterfaces Class Reference

The interfaces of the module WalkingEngine. More...

`#include <WalkingEngine.h>`

Inheritance diagram for WalkingEngineInterfaces:

[legend]
Collaboration diagram for WalkingEngineInterfaces:

[legend]
List of all members.

## Public Member Functions
| WalkingEngineInterfaces (const SensorDataBuffer &sensorDataBuffer, const InvKinWalkingParameters &invKinWalkingParameters, const GT2004Parameters &gt2004Parameters, const unsigned long &walkParameterTimeStamp, const bool &receivedNewSensorData, const MotionRequest::MotionID &lastMotionType, PIDData &pidData, OdometryData &odometryData, MotionInfo &motionInfo, GTWalkParametersIndividual &gt2005Parameters, GT2005DebugData &gt2005DebugData)
| Constructor.
## Protected Attributes
const SensorDataBuffer & | sensorDataBuffer
| The sensor data buffer containing all joint angles and others.
const InvKinWalkingParameters & | invKinWalkingParameters
| walking parameter sets to be used by the WalkingEngine, eg calculated by evolution behavior
const GT2004Parameters & | gt2004Parameters
const unsigned long & | walkParameterTimeStamp
const bool & | receivedNewSensorData
| Indicates that the Motion Process received a new SensorDataBuffer.
const MotionRequest::MotionID & | lastMotionType
| The motion type of the previous frame.
PIDData & | pidData
| The current PID servo gains.
OdometryData & | odometryData
| Has to be incremented by the walking engine.
MotionInfo & | motionInfo
| The neck height and the body tilt to be estimated by the walking engine.
GTWalkParametersIndividual & | gt2005Parameters
GT2005DebugData & | gt2005DebugData

## Detailed Description

The interfaces of the module WalkingEngine.

Definition at line 30 of file WalkingEngine.h.

## Constructor & Destructor Documentation

WalkingEngineInterfaces::WalkingEngineInterfaces | ( | const SensorDataBuffer & | sensorDataBuffer,
|  | const InvKinWalkingParameters & | invKinWalkingParameters,
|  | const GT2004Parameters & | gt2004Parameters,
|  | const unsigned long & | walkParameterTimeStamp,
|  | const bool & | receivedNewSensorData,
|  | const MotionRequest::MotionID & | lastMotionType,
|  | PIDData & | pidData,
|  | OdometryData & | odometryData,
|  | MotionInfo & | motionInfo,
|  | GTWalkParametersIndividual & | gt2005Parameters,
|  | GT2005DebugData & | gt2005DebugData
| ) | `[inline]`

| Constructor. Definition at line 34 of file WalkingEngine.h.

## Member Data Documentation

const SensorDataBuffer& WalkingEngineInterfaces::sensorDataBuffer`[protected]`

| The sensor data buffer containing all joint angles and others. Definition at line 63 of file WalkingEngine.h.

const InvKinWalkingParameters& WalkingEngineInterfaces::invKinWalkingParameters`[protected]`

| walking parameter sets to be used by the WalkingEngine, eg calculated by evolution behavior Definition at line 66 of file WalkingEngine.h.

const GT2004Parameters& WalkingEngineInterfaces::gt2004Parameters`[protected]`

| Definition at line 67 of file WalkingEngine.h.

const unsigned long& WalkingEngineInterfaces::walkParameterTimeStamp`[protected]`

| Definition at line 68 of file WalkingEngine.h.

const bool& WalkingEngineInterfaces::receivedNewSensorData`[protected]`

| Indicates that the Motion Process received a new SensorDataBuffer. Definition at line 71 of file WalkingEngine.h.

const MotionRequest::MotionID& WalkingEngineInterfaces::lastMotionType`[protected]`

| The motion type of the previous frame. Definition at line 74 of file WalkingEngine.h.

PIDData& WalkingEngineInterfaces::pidData`[protected]`

| The current PID servo gains. Definition at line 77 of file WalkingEngine.h.

OdometryData& WalkingEngineInterfaces::odometryData`[protected]`

| Has to be incremented by the walking engine. Definition at line 80 of file WalkingEngine.h.

MotionInfo& WalkingEngineInterfaces::motionInfo`[protected]`

| The neck height and the body tilt to be estimated by the walking engine. Definition at line 83 of file WalkingEngine.h.

GTWalkParametersIndividual& WalkingEngineInterfaces::gt2005Parameters`[protected]`

| Definition at line 86 of file WalkingEngine.h.

GT2005DebugData& WalkingEngineInterfaces::gt2005DebugData`[protected]`

| Definition at line 87 of file WalkingEngine.h.

The documentation for this class was generated from the following file:

- Modules/WalkingEngine/WalkingEngine.h